aboutsummaryrefslogtreecommitdiffstats
path: root/sdc-os-chef/sdc-frontend
diff options
context:
space:
mode:
authorIdan Amit <ia096e@intl.att.com>2017-12-07 11:33:32 +0200
committerIdan Amit <ia096e@intl.att.com>2017-12-07 14:18:42 +0200
commitdb3d5543edcbf63a83ddb954313e7d27f686383c (patch)
treed0e6e08402d9ae1d7d69998d989b284245742525 /sdc-os-chef/sdc-frontend
parent55dda1adeb3eb20adf4bb5275d8ec0bbba48d6ed (diff)
clean up and update docker run script
Removed unneeded code from docker run script and fixed indentation problems Changed sdc-FE dockerfile java options to run with only 512m Change-Id: I76239673cc0740a43854bbb0e56707c7539712be Issue-ID: SDC-717 Signed-off-by: Idan Amit <ia096e@intl.att.com>
Diffstat (limited to 'sdc-os-chef/sdc-frontend')
-rw-r--r--sdc-os-chef/sdc-frontend/startup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/sdc-os-chef/sdc-frontend/startup.sh b/sdc-os-chef/sdc-frontend/startup.sh
index 82f01576ef..875bf663d9 100644
--- a/sdc-os-chef/sdc-frontend/startup.sh
+++ b/sdc-os-chef/sdc-frontend/startup.sh
@@ -5,7 +5,7 @@ cd /root/chef-solo
echo "normal['HOST_IP'] = \"${HOST_IP}\"" > /root/chef-solo/cookbooks/sdc-catalog-fe/attributes/default.rb
chef-solo -c solo.rb -E ${CHEFNAME}
-sed -i '/^set -e/aJAVA_OPTIONS=\"-XX:MaxPermSize=256m -Xmx1500m -Dconfig.home=${JETTY_BASE}\/config -Dlog.home=${JETTY_BASE}\/logs -Dlogback.configurationFile=${JETTY_BASE}\/config\/catalog-fe\/logback.xml -Dconfiguration.yaml=${JETTY_BASE}\/config\/catalog-fe\/configuration.yaml -Donboarding_configuration.yaml=${JETTY_BASE}\/config\/onboarding-fe\/onboarding_configuration.yaml\"' /docker-entrypoint.sh
+sed -i '/^set -e/aJAVA_OPTIONS=\"-XX:MaxPermSize=256m -Xmx512m -Xms512m -Dconfig.home=${JETTY_BASE}\/config -Dlog.home=${JETTY_BASE}\/logs -Dlogback.configurationFile=${JETTY_BASE}\/config\/catalog-fe\/logback.xml -Dconfiguration.yaml=${JETTY_BASE}\/config\/catalog-fe\/configuration.yaml -Donboarding_configuration.yaml=${JETTY_BASE}\/config\/onboarding-fe\/onboarding_configuration.yaml\"' /docker-entrypoint.sh
sed -i '/^set -e/aTMPDIR=${JETTY_BASE}\/temp' /docker-entrypoint.sh
cd /var/lib/jetty